<%@ page language="java" contentType="text/html;charset=UTF-8" errorPage="/WEB-INF/jsp/error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="spring-form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@ taglib prefix="spring" uri="/WEB-INF/tld/spring.tld"%>
<%@ taglib prefix="P2Grant_calculator" tagdir="/WEB-INF/tags"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>  


<meta name="pagename" content="Project Information">
<script type="text/javascript" src="js/tabForms.js"></script>
<script type="text/javascript">

	$(document).ready(function() {
		$("#tabs").tabs();
		$('div#tabs').show();
		
		 <c:if test="${defaultTab == 'productList'}"> 
		 $("#tabs").tabs('select', 1); 
	     </c:if>
	     
	     function checkIfValid(element) {
				return  /^\d+$/.test(element);
	     }
	     
	     function checkIfValidNumber(element) {
				return  /^[+]?\d+([.]\d+)?$/.test(element);
	     }
	     
	   
	     
	     function addEnergyValues()   {    
				var sum =0;
				sum = Number($('#dttotalEnergy4Units').val()) +  Number($('#dttotalEnergy5Units').val()) + Number($('#crttotalEnergy4Units').val());
				sum = sum + Number($('#lcdtotalEnergy4Units').val()) +  Number($('#lcdtotalEnergy5Units').val()) + Number($('#nbtotalEnergy4Units').val())+ Number($('#nbtotalEnergy5Units').val());
				if(/Invalid|NaN/.test(sum))
					{
					alert('Please enter a valid numeric value for all the Total number of ENERGY STAR® 6.* units and Total number of ENERGY STAR® 2.* units fields. If no units are in use, enter 0.');
					}
				$("#useTotalText").val(sum); 
	         } 
	     
	     var numberPattern="^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$";
	     var digitPattern="^\d+$";;
			
			$("#dttotalEnergy4Units").live("change", function() { 
				if(checkIfValid($("#dttotalEnergy4Units").val()))
					{
				addEnergyValues() ;
				//2015
				$("#dtpercentPowerManagedComputer").val(100);
				
					}else{
						$("#dttotalEnergy4Units").val(0);
						addEnergyValues () ;
						alert("Please enter a valid integer value for Total number of ENERGY STAR® 2.* units for Color Multifunctional Device. If no units are in use, enter 0.");
						
						//2015
						if ( $("#dttotalEnergy4Units").val()==0 && $("#dttotalEnergy5Units").val()==0)
						{
							$("#dtpercentPowerManagedComputer").val("");
						}
					}
				});
			/*
			$("#dttotalEnergy5Units").live( "change", function() { 
				if(checkIfValid($("#dttotalEnergy5Units").val()))
				{
				addEnergyValues() ;
				//2015
				$("#dtpercentPowerManagedComputer").val(100);
				}else{
					$("#dttotalEnergy5Units").val(0);
					addEnergyValues () ;
					alert("Please enter a valid numeric value for Total number of ENERGY STAR® 6.* units for Desktop. If no units are in use, enter 0.");
					
					//2015
					if ( $("#dttotalEnergy4Units").val()==0 && $("#dttotalEnergy5Units").val()==0)
					{
						$("#dtpercentPowerManagedComputer").val("");
					}
				}
				});
			*/
			
			$("#crttotalEnergy4Units").live("change", function() { 
				if(checkIfValid($("#crttotalEnergy4Units").val()))
				{
				addEnergyValues();
			}else{
			    $("#crttotalEnergy4Units").val(0);
			    addEnergyValues () ;
				alert("Please enter a valid numeric value for Total number of ENERGY STAR® 2.* units for CRT. If no units are in use, enter 0.");
			}
				});
			$("#lcdtotalEnergy4Units").live("change", function() { 
				if(checkIfValid($("#lcdtotalEnergy4Units").val()))
				{
				addEnergyValues() ;
				//2015
				$("#lcdpercentPowerManagedDisplay").val(100);
			}else{
				$("#lcdtotalEnergy4Units").val(0);
				addEnergyValues () ;
				alert("Please enter a valid numeric value for Total number of ENERGY STAR® 2.* units for B & W Printer. If no units are in use, enter 0.");
				
				//2015
				if ( $("#lcdtotalEnergy4Units").val()==0 && $("#lcdtotalEnergy5Units").val()==0)
				{
					$("#lcdpercentPowerManagedDisplay").val("");
				}
			}
				});
			/*
			$("#lcdtotalEnergy5Units").live( "change", function() { 
				if(checkIfValid($("#lcdtotalEnergy5Units").val()))
				{
				addEnergyValues() ;
				//2015
				$("#lcdpercentPowerManagedDisplay").val(100);
			}else{
				$("#lcdtotalEnergy5Units").val(0);
				addEnergyValues() ;
				alert("Please enter a valid numeric value for Total number of ENERGY STAR® 6.* units for LCD. If no units are in use, enter 0. ");
					//2015
					if ( $("#lcdtotalEnergy4Units").val()==0 && $("#lcdtotalEnergy5Units").val()==0)
					{
						$("#lcdpercentPowerManagedDisplay").val("");
					}
			}
				});
			*/
			
			$("#nbtotalEnergy4Units").live("change", function() { 
				if(checkIfValid($("#nbtotalEnergy4Units").val()))
				{
				addEnergyValues () ;
				//2015
				$("#nbpercentPowerManagedComputer").val(100);
				$("#nbpercentPowerManagedDisplay").val(100);
			}else{
				$("#nbtotalEnergy4Units").val(0);
				addEnergyValues () ;
				alert("Please enter a valid numeric value for Total number of ENERGY STAR® 2.* units for B & W Multifunctional Device. If no units are in use, enter 0.");
				
				//2015
				if ( $("#nbtotalEnergy4Units").val()==0 && $("#nbtotalEnergy5Units").val()==0)
				{
					$("#nbpercentPowerManagedComputer").val("");
					$("#nbpercentPowerManagedDisplay").val("");
				}
			}
				});
			/*
			$("#nbtotalEnergy5Units").live( "change", function() { 
				if(checkIfValid($("#nbtotalEnergy5Units").val()))
				{
				addEnergyValues () ;
				//2015
				$("#nbpercentPowerManagedComputer").val(100);
				$("#nbpercentPowerManagedDisplay").val(100);
			}else{
				$("#nbtotalEnergy5Units").val(0);
				addEnergyValues () ;
				alert("Please enter a valid numeric value for Total number of ENERGY STAR® 6.* units for notebook computers. If no units are in use, enter 0.");
				//2015
				if ( $("#nbtotalEnergy4Units").val()==0 && $("#nbtotalEnergy5Units").val()==0)
				{
					$("#nbpercentPowerManagedComputer").val("");
					$("#nbpercentPowerManagedDisplay").val("");
				}
			}
				});
			*/
			
			$("#dtpercentPowerManagedComputer").live("change", function() { 
				if(checkIfValid($("#dtpercentPowerManagedComputer").val()))
				{
				if(($("#dtpercentPowerManagedComputer").val() >100))
				{
					$("#dtpercentPowerManagedComputer").val(0);
				alert("Enabling rate cannot be greater than 100%. The tool will not calculate benefits if percentage is not changed.");
			}
				}else{
					$("#dtpercentPowerManagedComputer").val(0);
					alert("Please enter a valid numeric value for Enabling rate");
				}
				});
			
			$("#crtpercentPowerManagedDisplay").live("change", function() { 
				if(checkIfValid($("#crtpercentPowerManagedDisplay").val()))
				{
				if(($("#crtpercentPowerManagedDisplay").val() >100))
				{
					$("#crtpercentPowerManagedDisplay").val(0);
				alert("Enabling rate cannot be greater than 100%. The tool will not calculate benefits if percentage is not changed.");
			}
				}else{
					$("#dtpercentPowerManagedComputer").val(0);
					alert("Please enter a valid numeric value for Enabling rate");
				}
				});
			
			$("#lcdpercentPowerManagedDisplay").live("change", function() { 
				if(checkIfValid($("#lcdpercentPowerManagedDisplay").val()))
				{
				if(($("#lcdpercentPowerManagedDisplay").val() >100))
				{
					$("#lcdpercentPowerManagedDisplay").val(0);
				alert("Enabling rate cannot be greater than 100%. The tool will not calculate benefits if percentage is not changed.");
			}
			}else{
				$("#dtpercentPowerManagedComputer").val(0);
				alert("Please enter a valid numeric value for Enabling rate");
			}
				});
			
			$("#nbpercentPowerManagedComputer").live("change", function() { 
				if(checkIfValid($("#nbpercentPowerManagedComputer").val()))
				{
				if(($("#nbpercentPowerManagedComputer").val() >100))
				{
					$("#nbpercentPowerManagedComputer").val(0);
				alert("Enabling rate cannot be greater than 100%. The tool will not calculate benefits if percentage is not changed.");
			}
				}else{
					$("#dtpercentPowerManagedComputer").val(0);
					alert("Please enter a valid numeric value for Enabling rate");
				}
				});
			
			$("#nbpercentPowerManagedDisplay").live("change", function() { 
				if(checkIfValid($("#nbpercentPowerManagedDisplay").val()))
				{
				if(($("#nbpercentPowerManagedDisplay").val() >100))
				{
					$("#nbpercentPowerManagedDisplay").val(0);
				alert("Enabling rate cannot be greater than 100%. The tool will not calculate benefits if percentage is not changed.");
			    }
				}else{
					$("#dtpercentPowerManagedComputer").val(0);
					alert("Please enter a valid numeric value for Enabling rate");
				}
				});
			
			
			$("#dtaverageLifeSpanOfUnits").live("change", function() { 
				if(!checkIfValid($("#dtaverageLifeSpanOfUnits").val()))
				{
					$("#dtaverageLifeSpanOfUnits").val(0);
					alert("Please enter a valid numeric value for Average lifespan of units (Months) for Color Multifunctional Device");
				}
				});
			
			$("#crtaverageLifeSpanOfUnits").live("change", function() { 
				if(!checkIfValid($("#crtaverageLifeSpanOfUnits").val()))
				{
					$("#crtaverageLifeSpanOfUnits").val(0);
					alert("Please enter a valid numeric value for Average lifespan of units (Months) for CRT");
				}
				});
			
			$("#lcdaverageLifeSpanOfUnits").live("change", function() { 
				if(!checkIfValid($("#lcdaverageLifeSpanOfUnits").val()))
				{
					$("#lcdaverageLifeSpanOfUnits").val(0);
					alert("Please enter a valid numeric value for Average lifespan of units (Months) for B & W Printer");
				}
				});
			
			$("#nbaverageLifeSpanOfUnits").live("change", function() { 
				if(!checkIfValid($("#nbaverageLifeSpanOfUnits").val()))
				{
					$("#nbaverageLifeSpanOfUnits").val(0);
					alert("Please enter a valid numeric value for Average lifespan of units (Months) for B & W Multifunctional Device ");
				}
				});
			
	
			
			
			
		     function addReusedValues ()  {    
					var sum =0;
					sum = Number($('#numOfCPUReused').val()) +  Number($('#numOfCRTReused').val()) + Number($('#numOfLCDReused').val());
					sum = sum + Number($('#numOfNoteBookReused').val()) +  Number($('#numOfMobileReused').val());
					if(/Invalid|NaN/.test(sum))
						{
						alert('Please enter a valid Integer value for number of units reused. If no units are in use, enter 0.');
						}
					$("#totalUnitsReused").val(sum); 
		         } 
		     
		     var numberPattern="^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$";
		     var digitPattern="^\d+$";;
		
				$("#numOfCPUReused").live("change", function() { 
					if(checkIfValid($("#numOfCPUReused").val()))
					{
					addReusedValues () ;
				}else{
					$("#numOfCPUReused").val(0);
					addReusedValues () ;
					alert("Please enter a valid Integer value for number of Color Multifunctional Device reused. If no units are in use, enter 0.");
				}
					});
				$("#numOfCRTReused").live("change", function() { 
					if(checkIfValid($("#numOfCRTReused").val()))
					{
						addReusedValues () ;
				}else{
					$("#numOfCRTReused").val(0);
					addReusedValues () ;
					alert("Please enter a valid Integer value for number of CRT units reused");
				}
					});
				$("#numOfLCDReused").live( "change", function() { 
					if(checkIfValid($("#numOfLCDReused").val()))
					{
						addReusedValues () ;
				}else{
					$("#numOfLCDReused").val(0);
					addReusedValues () ;
					alert("Please enter a valid Integer value for number of B & W Printer units reused. If no units are in use, enter 0.");
				}
					});
				$("#numOfNoteBookReused").live("change", function() { 
					if(checkIfValid($("#numOfNoteBookReused").val()))
					{
						addReusedValues () ;
				}else{
					$("#numOfNoteBookReused").val(0);
					addReusedValues () ;
					alert("Please enter a valid Integer value for number of  B & W Multifunctional Device units reused. If no units are in use, enter 0.");
				}
					});
				$("#numOfMobileReused").live( "change", function() { 
					if(checkIfValid($("#numOfMobileReused").val()))
					{
						addReusedValues () ;
				}else{
					$("#numOfMobileReused").val(0);
					addReusedValues () ;
					alert("Please enter a valid Integer value for number of Mobile telephones units reused");
				}
					});
				
			     function addRecycledValues ()  {    
						var sum =0;
						sum = Number($('#numOfCPURecycled').val()) +  Number($('#numOfCRTRecycled').val()) + Number($('#numOfLCDRecycled').val());
						sum = sum + Number($('#numOfNoteBookRecycled').val()) +  Number($('#numOfMobileRecycled').val());
						if(/Invalid|NaN/.test(sum))
							{
							alert('Please enter a valid integer value for number of units recycled. If no units are in use, enter 0. ');
							}
						$("#totalUnitsRecycled").val(sum); 
			         } 
			     
			     var numberPattern="^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$";
			     var digitPattern="^\d+$";;
			
					$("#numOfCPURecycled").live("change", function() { 
						if(checkIfValid($("#numOfCPURecycled").val()))
						{
						addRecycledValues () ;
					}else{
						$("#numOfCPURecycled").val(0);
						addRecycledValues () ;
						alert("Please enter a valid integer value for number of Color Multifunctional Device units recycled. If no units are in use, enter 0.");
					}
						});
					$("#numOfCRTRecycled").live("change", function() { 
						if(checkIfValid($("#numOfCRTRecycled").val()))
						{
							addRecycledValues () ;
					}else{
						$("#numOfCRTRecycled").val(0);
						addRecycledValues () ;
						alert("Please enter a valid integer value for number of CRT units recycled");
					}
						});
					$("#numOfLCDRecycled").live( "change", function() { 
						if(checkIfValid($("#numOfLCDRecycled").val()))
						{
							addRecycledValues () ;
					}else{
						$("#numOfLCDRecycled").val(0);
						addRecycledValues () ;
						alert("Please enter a valid integer value for number of B & W Printer units recycled. If no units are in use, enter 0.");
					}
						});
					$("#numOfNoteBookRecycled").live("change", function() { 
						if(checkIfValid($("#numOfNoteBookRecycled").val()))
						{
							addRecycledValues () ;
					}else{
						$("#numOfNoteBookRecycled").val(0);
						addRecycledValues () ;
						alert("Please enter a valid integer value for number of B & W MFD units recycled. If no units are in use, enter 0.");
					}
						});
					$("#numOfMobileRecycled").live( "change", function() { 
						if(checkIfValid($("#numOfMobileRecycled").val()))
						{
							addRecycledValues () ;
					}else{
						$("#numOfMobileRecycled").val(0);
						addRecycledValues () ;
						alert("Please enter a valid integer value for number of Mobile Telephones units recycled");
					}
						});
	
	$("#kgsOfMixedOfficeRecycled").live( "change", function() { 
		if(!checkIfValidNumber($("#kgsOfMixedOfficeRecycled").val()))
		{
			$("#kgsOfMixedOfficeRecycled").val(0);
		alert("Please enter a valid numeric value for Amount (kg) of mixed office electronics recycled");
	}
	});

	});
</script>



<h1>Electronics Environmental Benefits Calculator - Imaging Equipment</h1>

<h3> EEBC Data Entry Form</h3>
<table>
<tr>
<td >
 <input value="Extract to XML" title="Extract to XML" onclick="window.open('extractEebcProductEntryObjectDTOXML.do','XML EXTRACT','width=650,height=900,toolbar=no,resizable=yes,menubar=yes,scrollbars=yes');" class="button"  type="button"> 
</td>
<td>
 <form action="addFile_json.do"  class="uploadFileForm" id="uploadFileForm"  method="POST" enctype="multipart/form-data">
 	<label for="fileToUpload">XML File:</label>
	<input id="fileToUpload" name="fileToUpload" type="file" style="width: 300px;" value="Browse"/>
	<input type="submit" id="btnSaveFile" name="btnSaveFile" class="button"  title="Import XML Object" value="Import from XML" /> 
 </form>
</td>
<td>
 <input value="Generate reports and summary charts" title="Generate Report" onclick="window.open('generateReports.do');" class="button"  type="button"> 
</td>
</table>
<div><br/>
<br/>
<br/>

</div>

<div style="display:none;" id="tabs">
<form:form id="eebcCalculatorForm" commandName="eebcProductEntryObject" action="saveEndoflife.do" method="post">

 <form:errors path="*" cssStyle="color:red" />
	<ul>
		<li><a href="#endoflife">Input - Use & EOL </a></li>
		<li><a href="#productlist">Input - Purchasing</a></li>
		
	</ul>
	
		<P2Grant_calculator:form_productList productlist="${eebcProductEntryObject.productInformationList}" divName="productlist" />
	    <P2Grant_calculator:form_endoflife  divName="endoflife" />
</form:form>	
</div>

<div style="clear: both;"></div>