<%@ taglib prefix="spring-form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@ taglib prefix="spring" uri="/WEB-INF/tld/spring.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>  


<script type="text/javascript">
  $(document).ready(function() {
    $("#reporttabs").tabs({
            select: function(event, ui) {
              $('#ui-tabs-1').html("<p style='text-align:center;font-size:16px;'><b>Retrieving data...</b></p>");
            }
          });
    $('div#reporttabs').show(); 
  });
</script>

	
</script>
<div id="${divName }">

<form id="reportProductForm" action="reportproduct.do" method="POST">

      <div class="header"> Results - Tables <span style="display:inline-block;float:right;"><em>Please wait for data to be retrieved.</em></span></div>
    
	  <div id="querybox">
	   <div style="display:none;" id="reporttabs">
	    	<ul>

<li><a href="#useAndEOL">Use and End Of Life </a></li>
<li><a href="#allProduct">All Products</a></li>
<li><a href="charts/summary.html">Summary Charts</a></li>
<c:forEach  items="${productList}" var="savingsproductData" varStatus="loopStatusValue">
	<li><a href="#productInfo_${loopStatusValue.count}">Product  <c:out value="${loopStatusValue.count}"/> </a></li>		
</c:forEach>
</ul>

   <div id="useAndEOL">
  <br>
   <div   align="center">   
                   <table style="background-color: orange;">
                     <tr>   
                    <td>
                   <c:set var="sum" value="${userEntry.inputUseAndEolObject.desktopComputerUse.totalEnergy4Units + userEntry.inputUseAndEolObject.desktopComputerUse.totalEnergy5Units}"/>
                                 Color MFD:${sum}     
                    <c:set var="sum" value="${userEntry.inputUseAndEolObject.notebookUse.totalEnergy4Units + userEntry.inputUseAndEolObject.notebookUse.totalEnergy5Units}"/>
                                 B & W MFD:${sum} 
                    <c:set var="sum" value="${userEntry.inputUseAndEolObject.lcdUse.totalEnergy4Units + userEntry.inputUseAndEolObject.lcdUse.totalEnergy5Units}"/>
                                 B & W Printer:${sum} 
                   </td>
                   </tr>
                     <tr>
                     <td>Reused Color MFD:<c:out value="${userEntry.inputUseAndEolObject.endOfLifeInputs.numOfCPUReused}"/> </td> 
                     <td>Recycled Color MFD:<c:out value="${userEntry.inputUseAndEolObject.endOfLifeInputs.numOfCPURecycled}"/> </td>
                    
                     <tr>
                     <td>Reused B & W Printer:<c:out value="${userEntry.inputUseAndEolObject.endOfLifeInputs.numOfLCDReused}"/>  </td>
                     <td>Recycled  B & W Printer:<c:out value="${userEntry.inputUseAndEolObject.endOfLifeInputs.numOfLCDRecycled}"/>  </td>
                     </tr>
                     <tr>
                     <td>Reused B & W MFD:<c:out value="${userEntry.inputUseAndEolObject.endOfLifeInputs.numOfNoteBookReused}"/>  </td>
                     <td>Recycled  B & W MFD:<c:out value="${userEntry.inputUseAndEolObject.endOfLifeInputs.numOfNoteBookRecycled}"/>  </td>
                     </tr>
                                                                                                                                                                   
                      </table>                                                                                                                          
                 </div>       
              <br>
  
      <table id="useTable" class="reportTable" cellspacing="0">
        <tbody>
        <tr>
        <th width="9%">
        USE AND END OF LIFE
        </th>
            <th width="9%"></th>
             <th width="9%"></th>
            <th width="9%"></th>
              <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
              <th width="9%"></th>
            <th width="9%"></th>
             <th width="9%"></th>
        </tr>
        <tr>
             <th width="9%">CRITERIA/ATTRIBUTES/ACTIONS</th>
             <th width="9%">Energy savings (KWh eq)</th>
             <th width="9%">Primary material savings (kg)</th>
              <th width="9%">Greenhouse gas emission savings  </b> (kg Of CE)</th>
             <th width="9%">Air emission savings (kg)</th>
             <th width="9%">Water emission savings (kg)</th>
              <th width="9%">Toxic material savings (kg)</th>
             <th width="9%">Municipal solid waste savings (kg)</th>
             <th width="9%">Hazardous waste savings (kg)</th>
              <th width="9%">Cost savings ($)</th>
  
        </tr>
		<c:set var="trclass" value="oddRow"/>
	      <c:if test="${loopStatusEOL.count % 2 == 0}">
	        <c:set var="trclass" value=""/>
	    </c:if>
	    
 <c:forEach  items="${useInput}" var="endOfLife" varStatus="loopStatusEOL">
	<tr class="<c:out value="${trclass}" />">
										<th align="left">
										<c:out value="${endOfLife.criteriaName}"/>
										</th>

										<td align="right">
											<c:out value="${endOfLife.energySavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.materialSavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.ghgEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.airEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.waterSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.toxicMaterialEmissionSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.muncipalwasteSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.hazWastesavings}"/>
										</td>
										<td align="right">
										<c:out value="${endOfLife.costsavings}"/>
										</td>

									</tr>
</c:forEach>
 <c:forEach  items="${endofLife}" var="endOfLife" varStatus="loopStatusEOL">
	<tr class="<c:out value="${trclass}" />">
										<th align="left">
										<c:out value="${endOfLife.criteriaName}"/>
										</th>

										<td align="right">
											<c:out value="${endOfLife.energySavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.materialSavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.ghgEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.airEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.waterSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.toxicMaterialEmissionSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.muncipalwasteSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.hazWastesavings}"/>
										</td>
										<td align="right">
										<c:out value="${endOfLife.costsavings}"/>
										</td>

									</tr>
</c:forEach>	
				
        </tbody>
        </table>

        </div>
        
         <div id="allProduct">
        <div align="center">
         <table> 
        <c:forEach  items="${userEntry.productInformationList}" var="product" varStatus="productStatusL">
                    <tr><td style="font-size:15px;font-weight:bold">
                    <c:choose>
                    <c:when test="${product.productDetails.productType=='cpu'}">
                    <c:out value="Color MFD"/>
                    </c:when>
                    <c:when test="${product.productDetails.productType=='lcd'}">
                    <c:out value="B & W Printer"/>
                    </c:when>                   
                    <c:when test="${product.productDetails.productType=='notebook'}">
                    <c:out value="B & W MFD"/>
                    </c:when>
                    <c:otherwise>
                    <c:out value="${product.productDetails.productType}"/>
                    </c:otherwise>
                    </c:choose>                    
                    :  <c:out value="${product.productDetails.nooFProductPurchased}"/>  <c:out value="${product.productDetails.epeatRegTier}"/>   </td></tr>
        </c:forEach>
        </table>
        </div>  

      <table id="allProductTable" class="reportTable" cellspacing="0">
        <tbody>
        <tr>
           <th width="9%">
       ALL PRODUCT
        </th>
            <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
              <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
              <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
        </tr>
       <tr>
             <th width="9%">CRITERIA/ATTRIBUTES/ACTIONS</th>
             <th width="9%">Energy savings (KWh eq)</th>
             <th width="9%">Primary material savings (kg)</th>
              <th width="9%">Greenhouse gas emission savings  </b> (kg Of CE)</th>
             <th width="9%">Air emission savings (kg)</th>
             <th width="9%">Water emission savings (kg)</th>
              <th width="9%">Toxic material savings (kg)</th>
             <th width="9%">Municipal solid waste savings (kg)</th>
             <th width="9%">Hazardous waste savings (kg)</th>
              <th width="9%">Cost savings ($)</th>
  
        </tr>
		<c:set var="trclass" value="oddRow"/>
	      <c:if test="${loopStatusEOL.count % 2 == 0}">
	        <c:set var="trclass" value=""/>
	    </c:if>
	    
 <c:forEach  items="${allProduct}" var="endOfLife" varStatus="loopStatusEOL">
	<tr class="<c:out value="${trclass}" />">
										<th align="left">
										<c:out value="${endOfLife.criteriaName}"/>
										</th>

										<td align="right">
											<c:out value="${endOfLife.energySavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.materialSavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.ghgEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.airEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${endOfLife.waterSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.toxicMaterialEmissionSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.muncipalwasteSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${endOfLife.hazWastesavings}"/>
										</td>
										<td align="right">
										<c:out value="${endOfLife.costsavings}"/>
										</td>

									</tr>
</c:forEach>
				
        </tbody>
        </table>

        </div>
        	<c:forEach  items="${productList}" var="savingsproductData" varStatus="loopStatusValue">
<div id="productInfo_${loopStatusValue.count}">
   <table class="reportTable" cellspacing="0">
        <tbody>
        <tr>
           <th width="9%">
        PRODUCT <c:out value="${loopStatusValue.count}"/>
        </th>
            <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
              <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
              <th width="9%"></th>
             <th width="9%"></th>
             <th width="9%"></th>
        </tr>
        <tr>
             <th width="9%">CRITERIA/ATTRIBUTES/ACTIONS</th>
             <th width="9%">Energy savings (KWh eq)</th>
             <th width="9%">Primary material savings (Kg)</th>
              <th width="9%">Greenhouse gas emission savings </b> (Kg Of CE)</th>
             <th width="9%">Air emission savings (Kg)</th>
             <th width="9%">Water emission savings (Kg)</th>
              <th width="9%">Toxic material savings (Kg)</th>
             <th width="9%">Municipal solid waste savings (Kg)</th>
             <th width="9%">Hazardous waste savings (kg)</th>
              <th width="9%">Cost savings ($)</th>
  
        </tr>
        <!-- Loop through values -->
      
		<c:forEach var="savingsproduct" items="${savingsproductData.savingsproductList}" varStatus="loop">
		<c:set var="trclass" value="oddRow"/>
	      <c:if test="${loop.count % 2 == 0}">
	        <c:set var="trclass" value=""/>
	    </c:if>

	<tr class="<c:out value="${trclass}" />">
										<th align="left">
										<c:out value="${savingsproduct.criteriaName}"/>
										</th>

										<td align="right">
											<c:out value="${savingsproduct.energySavings}"/>
										</td>
										<td align="right">
											<c:out value="${savingsproduct.materialSavings}"/>
										</td>
										<td align="right">
											<c:out value="${savingsproduct.ghgEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${savingsproduct.airEmissionsavings}"/>
										</td>
										<td align="right">
											<c:out value="${savingsproduct.waterSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${savingsproduct.toxicMaterialEmissionSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${savingsproduct.muncipalwasteSavings}"/>
										</td>
										<td align="right">
										  <c:out value="${savingsproduct.hazWastesavings}"/>
										</td>
										<td align="right">
										<c:out value="${savingsproduct.costsavings}"/>
										</td>

									</tr>
								</c:forEach>

      </tbody>
   </table>
   </div>
    
   </c:forEach>
    </div>
	  </div>
	
</form>
</div>

