<%@ tag body-content="empty" %>
<%@ taglib prefix="spring-form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@ taglib prefix="spring" uri="/WEB-INF/tld/spring.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>  
<%@ taglib prefix="P2Grant_calculator" tagdir="/WEB-INF/tags" %>

<%@ attribute name="divName" required="true" type="java.lang.Object" %>

<script type="text/javascript">

	$(document).ready(function() {

	});
</script>




<div id="${divName}">
<p style="margin-left:42px;">
Use this screen to enter information on imaging equipment <strong>already in use 
from previous years</strong>, to calculate the benefits of extending the life of equipment 
beyond the default lifespan of 72 months. Enter information on the reuse and recycling of 
imaging equipment to calculate the 
environmental benefit of reusing and recycling products <strong>removed from service this year</strong>. 
<font color="red">
NOTE: A report will not be generated if all cells in the Equipment Use section are left blank. 
</font>
If you are <strong>only calculating the environmental benefits of Equipment Reuse and Recycling</strong>, 
enter a dummy value of "1" in the first input box in the Equipment Use section (CMFD Total number 
of ENERGY STAR 2.* units) to enable calculation of results for the 
Equipment Reuse and Recycling information entered in the bottom section.


</p>
 <div id="tabs-0">

<br />

<div class="header">Equipment Use Information<span class="reference"> (Lifespan Extension)</span></div>

<div id="querybox">
<table width="100%"  cellspacing="0" cellpadding="0">
		  <col width="340" />
		  <col width="115" />
		  <col width="115" />
		  <col width="115" />
  		  <col width="114" />




 <tr>
  <td></td>
  <td valign="bottom" style="padding-right:4px;"><span style="font-size:.85em;text-align:center;">Total number of ENERGY STAR 2.* units</span></td>
  <td valign="bottom" title="There are no ENERGY STAR 5.* qualified CRT monitors." style="padding-right:4px;"><span style="font-size:.85em"><!--  Total number of ENERGY STAR 6.* units--></span></td>
  <td valign="bottom" title="If lifespan is less than the default lifespan for the product, no benefits calculated." style="padding-right:4px;"><span style="font-size:.85em">Average lifespan of units (Months)</span></td>
  <td valign="bottom" title="If enabling rate is less than the default rate for the product, no benefits calculated." style="padding-right:4px;"><span style="font-size:.85em">
  <!-- % of COMPUTERS with <br>power management feature enabled  --></span></td>
  <td valign="bottom" title="If enabling rate is less than the default rate for the product, no benefits calculated." style="padding-right:4px;"><span style="font-size:.85em">
  <!-- % of DISPLAY with <br>power management feature enabled  --></span></td>
  
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">Color Multifunctional Device (CMFD)</td>
  <td><form:input  path="inputUseAndEolObject.desktopComputerUse.totalEnergy4Units"  id="dttotalEnergy4Units" size="8"/></td>
  <td><form:hidden  path="inputUseAndEolObject.desktopComputerUse.totalEnergy5Units" id="dttotalEnergy5Units" size="8" value="0" /></td>
   
  <td style="padding-right:20px;"><form:input  path="inputUseAndEolObject.desktopComputerUse.averageLifeSpanOfUnits" id="dtaverageLifeSpanOfUnits" size="8" /></td>
  <td><form:hidden path="inputUseAndEolObject.desktopComputerUse.percentPowerManagedComputer" id="dtpercentPowerManagedComputer" size="8" /></td>
  <td></td>
 </tr>
 
 <tr style="display: none">
  <td style="padding-left:20px;" height="34"></td>
  <td><form:hidden  path="inputUseAndEolObject.crtUse.totalEnergy4Units" id="crttotalEnergy4Units" size="8" /></td>
  <td></td>
  <td style="padding-right:20px;"><form:hidden  path="inputUseAndEolObject.crtUse.averageLifeSpanOfUnits" id="crtaverageLifeSpanOfUnits" size="8" /></td>
  <td></td>
  <td><form:hidden path="inputUseAndEolObject.crtUse.percentPowerManagedDisplay" id="crtpercentPowerManagedDisplay" size="8" /></td>
  
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">B & W Printer</td>
  <td><form:input  path="inputUseAndEolObject.lcdUse.totalEnergy4Units" id="lcdtotalEnergy4Units" size="8"/></td>
  <td><form:hidden  path="inputUseAndEolObject.lcdUse.totalEnergy5Units" id="lcdtotalEnergy5Units" size="8" value="0" /></td>
  <td style="padding-right:20px;"><form:input  path="inputUseAndEolObject.lcdUse.averageLifeSpanOfUnits" id="lcdaverageLifeSpanOfUnits" size="8" /></td>
    <td></td>
  <td><form:hidden  path="inputUseAndEolObject.lcdUse.percentPowerManagedDisplay" id="lcdpercentPowerManagedDisplay" size="8" /></td>
  
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">B & W Multifunctional Device (MFD)</td>
  <td><form:input path="inputUseAndEolObject.notebookUse.totalEnergy4Units" id="nbtotalEnergy4Units" size="8"/></td>
  <td><form:hidden path="inputUseAndEolObject.notebookUse.totalEnergy5Units" id="nbtotalEnergy5Units" size="8" value="0" /></td>
  <td style="padding-right:20px;"><form:input  path="inputUseAndEolObject.notebookUse.averageLifeSpanOfUnits" id="nbaverageLifeSpanOfUnits" size="8" /></td>
  <td><form:hidden path="inputUseAndEolObject.notebookUse.percentPowerManagedComputer" title="Enter percentage of notebooks that have the display power managed." id="nbpercentPowerManagedComputer" size="8" /></td>
  <td><form:hidden path="inputUseAndEolObject.notebookUse.percentPowerManagedDisplay" title="Enter percentage of notebooks that have the display power managed." id="nbpercentPowerManagedDisplay" size="8" /></td>
 
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">Total number of units in service</td>
  <td colspan="4"><form:input  cssClass ="totalInput" id="useTotalText" path="inputUseAndEolObject.useTotal"   readonly="true"  size="8" /></td>
 </tr>



 </table>
</div>

<br />


<div class="header">Equipment End-of-Life Information  <span class="reference">(Reuse and Recycling)</span></div>
<div id="querybox">
<table width="100%"  cellspacing="0" cellpadding="0">
		  <col width="115" />
		  <col width="115" />
		  <col width="115" />
		  <col width="115" />
  		  <col width="114" />
 <tr>
  <td height="34" title="For example, transferred or donated to another user"><div class="header2">Reused:</td>
  <td height="34" colspan="4"><div class="header2">Total number of Units</div></td>
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">Color MFD:</td>
  <td colspan="4"><form:input  path="inputUseAndEolObject.endOfLifeInputs.numOfCPUReused" id="numOfCPUReused" size="8" /></td>
 </tr>
 
 
 <tr style="display: none">
  <td style="padding-left:20px;" height="34"></td>
 <td colspan="4"><form:hidden  path="inputUseAndEolObject.endOfLifeInputs.numOfCRTReused" id="numOfCRTReused" size="8" /></td>
 </tr>

 
 <tr>
  <td style="padding-left:20px;" height="34">B & W Printer:</td>
  <td colspan="4"><form:input  path="inputUseAndEolObject.endOfLifeInputs.numOfLCDReused" id="numOfLCDReused" size="8" /></td>
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">B & W MFD:</td>
  <td colspan="4"><form:input  path="inputUseAndEolObject.endOfLifeInputs.numOfNoteBookReused" id="numOfNoteBookReused" size="8" /></td>
 </tr>
 

 <tr style="display: none">
  <td style="padding-left:20px;" height="34"></td>
  <td colspan="4"><form:hidden  path="inputUseAndEolObject.endOfLifeInputs.numOfMobileReused" id="numOfMobileReused" size="8" /></td>
 </tr>

 
 <tr>
  <td style="padding-left:20px;" height="34">Total number of units reused</td>
   <td colspan="4"><form:input cssClass ="totalInput" path="inputUseAndEolObject.endOfLifeInputs.totalUnitsReused" readonly="true"  id="totalUnitsReused" size="8" /></td>
 </tr>
 <tr>
  <td height="34"><div class="header2">Recycled:</span></td>
  <td colspan="4"><div class="header2">&nbsp;</div></td>
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">Color MFD:</td>
  <td colspan="4"><form:input  path="inputUseAndEolObject.endOfLifeInputs.numOfCPURecycled" id="numOfCPURecycled" size="8" /></td>
 </tr>
 
 <tr style="display: none">
  <td style="padding-left:20px;" height="34"></td>
  <td colspan="4"><form:hidden  path="inputUseAndEolObject.endOfLifeInputs.numOfCRTRecycled" id="numOfCRTRecycled" size="8" /></td>
 </tr>
  
  
 <tr>
  <td style="padding-left:20px;" height="34">B & W Printer:</td>
  <td colspan="4"><form:input  path="inputUseAndEolObject.endOfLifeInputs.numOfLCDRecycled" id="numOfLCDRecycled" size="8" /></td>
 </tr>
 <tr>
  <td style="padding-left:20px;" height="34">B & W MFD:</td>
  <td colspan="4"><form:input  path="inputUseAndEolObject.endOfLifeInputs.numOfNoteBookRecycled"  id="numOfNoteBookRecycled" size="8" /></td>
 </tr>

 <tr style="display: none">
  <td style="padding-left:20px;" height="34"></td>
  <td colspan="4"><form:hidden  path="inputUseAndEolObject.endOfLifeInputs.numOfMobileRecycled" id="numOfMobileRecycled" size="8" /></td>
 </tr>

 
 <tr style="display: none">
  <td style="padding-left:20px;" title="Conversions: 1 ton = 907 kg; 1 metric ton (MT)=1000 kg; 1 kg=2.205 lb" height="34"></td>
  <td colspan="4"><form:hidden  path="inputUseAndEolObject.endOfLifeInputs.kgsOfMixedOfficeRecycled" id="kgsOfMixedOfficeRecycled" size="8" /></td>
 </tr>
 

  
 <tr>
  <td style="padding-left:20px;" title="Do not include units entered above." height="48">Total number of units recycled</td>
  <td colspan="4"><form:input title="Do not include units entered above." cssClass ="totalInput" readonly="true"  path="inputUseAndEolObject.endOfLifeInputs.totalUnitsRecycledExclMixedElect" id="totalUnitsRecycled" size="8" /></td>

 </tr>

 </table>
 </div>
 <br>
 <br>
 <table width="100%"  cellspacing="0" cellpadding="0">
  <tr>       <td colspan="3" align="center">  

<input id="saveeol" name="saveeol" class="button" value="Save Data" type="submit">  
<input name="reseteol" value="Reset" class="button" onclick="parent.location='resetEndoflife.do';" type="reset">  

 </td>      </tr> </table>
 

 <br />
</div></div>